Download a particular output from a Presentation Builder generation

You can download a particular generated output such as a PPTX, PDF, or GSLIDES from this endpoint. This endpoint also supports the special keywords of '"pptx"', '"pdf"', or '"gslides"' as special aliases of the generated outputId, so that you do not need to first get the generated outputId in order to use this endpoint.## Response example

{
    "outputs": [
        {
            "outputId": "PPTX",
            "format": "PPTX",
            "fileName": "fileName.PPTX",
            "downloadUrl": "https://download-qa01.seismic-dev.com/api/download/v1/qa01eastasia01/qa01eastasia01/b8b25f8c-1c88-474a-b4b6-0e460f65d18f?sig=zyb4AVRiEkLzYZbxnUq%2bEr08u%2fDqSD2LqM5QJFQOKTc%3d",
            "size": 264557
        }
    ]
}
{
    "outputs": [
        {
            "outputId": "PDF",
            "format": "PDF",
            "fileName": "fileName.PDF",
            "downloadUrl": "https://download-qa01.seismic-dev.com/api/download/v1/qa01eastasia01/qa01eastasia01/b8b25f8c-1c88-474a-b4b6-0e460f65d18f?sig=zyb4AVRiEkLzYZbxnUq%2bEr08u%2fDqSD2LqM5QJFQOKTc%3d",
            "size": 264557
        }
    ]
}
{
    "outputs": [
        {
     	  "outputId": "GSLIDES",
     	  "format": "GSLIDES",
     	  "fileName": "fileName.GSLIDES",
     	  "GoogleFileId": "1_prMW-6njtOco7Fyk737je5VJLINa2dDpWDfam1CVdk",
     	  "GoogleFileRevision": "3",
     	  "GoogleFileUrl": "https://docs.google.com/presentation/d/1_prMW-6njtOco7Fyk737je5VJLINa2dDpWDfam1CVdk",
     	  "size": 0
   		}
    ]
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Team site identifier for the Presentation Builder template.

uuid
required

Content version identifier of the Presentation Builder template.

uuid
required

Generation job identifier returned by Generate a Presentation Builder by template.

string
required

Output identifier returned by Get status of Presentation Builder Generation, or alias value (pptx, pdf, gslides).

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json